Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.dom
Class NodeImpl

    java.lang.Object
      com.novell.xml.dom.NodeImpl

All Implemented Interfaces:
  Cloneable, Comparable, Node

Direct Known Subclasses:
  AttrImpl, CharacterDataImpl, DocumentFragmentImpl, DocumentImpl, DocumentTypeImpl, ElementImpl, EntityImpl, EntityReferenceImpl, NamespaceImpl, NotationImpl, ProcessingInstructionImpl

    public abstract class NodeImpl

extends Object
implements Node, Cloneable, Comparable

Novell implementation of DOM level 1 `Node` interface

Field Summary
`protected static int[]` | `allowedChildren` An array with each element being a bit mask that determines what types of nodes may be children of a node type.
`protected String` | `baseURI` The base URI for this node.
`protected int` | `changeCount`
`protected DocumentImpl` | `document`
`protected double` | `documentOrderVal` Relative document order.
`protected ExpandedQName` | `expandedName` The expanded (namespace uri + local part) name of this node
`protected NodeImpl` | `firstChild`
`protected NodeImpl` | `lastChild`
`protected String` | `localName`
`protected String` | `namespaceURI`
`protected static double` | `nextOrderVal` Relative document order.
`protected NodeImpl` | `nextSibling`
`protected String` | `nodeName`
`protected String` | `nodeValue`
`protected NodeImpl` | `parentNode`
`protected String` | `prefix`
`protected NodeImpl` | `previousSibling`
`static boolean` | `toStringSerializes`
`protected static String` | `xmlnsPrefix`
`protected static String` | `xmlPrefix`
`protected boolean` | `xpathBehavior` If `true` then override standard DOM behavior with xpath-defined behavior (e.g., attribute nodes return their owning element from getParentNode())

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `NodeImpl(DocumentImpl owner, String name, String value)` Construct a NodeImpl
`protected` | `NodeImpl(DocumentImpl owner, String namespaceURI, String qualifiedName, String value)` Construct a NodeImpl

Method Summary
`Node` | `appendChild(Node newChild)` Adds the node `newChild` to the end of the list of children of this node.
`protected void` | `checkName(String name)` Check an XML name for correctness This may be disabled if the document has name checking disabled
`protected void` | `checkNameNS(String namespaceURI, String qualifiedName, boolean isAttr)` Check an XML name for correctness according to namespace recommendation and with DOM Level 2 extensions This may be disabled if the document has name checking disabled
`Node` | `cloneNode(boolean deep)` Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes.
`int` | `compareTo(Object o)` Implement the Comparable interface so that this node can be compared with other com.novell.xml.dom.NodeImpl nodes for document order.
`boolean` | `fetchNamespacesFromDecls(boolean deep)` Fills in namespace information from declarations for nodes that were created with DOM Level 1 api's
`protected void` | `gateModify()` Check to see if modifications are allowed
`NamedNodeMap` | `getAttributes()` A `NamedNodeMap` containing the attributes of this node (if it is an `Element`) or `null` otherwise.
`String` | `getBaseURI()` Return the base URI string for this node.
`protected int` | `getChangeCount()` Return the change count for this node.
`NodeList` | `getChildNodes()` A `NodeList` that contains all children of this node.
`int` | `getColumnNumber()` Return the column number of this node.
`double` | `getDocumentOrder()` Return the relative document order value for this node.
`ExpandedQName` | `getExpandedName()` Return the expanded name (namespace uri + local part) of this node.
`Node` | `getFirstChild()` The first child of this node.
`Node` | `getLastChild()` The last child of this node.
`int` | `getLineNumber()` Return the line number of this node.
`String` | `getLocalName()` Returns the local part of the qualified name of this node.
`String` | `getNamespaceURI()` The namespace URI of this node, or `null` if it is unspecified.
`Node` | `getNextSibling()` The node immediately following this node.
`String` | `getNodeName()` The name of this node, depending on its type; see the table above.
`abstract short` | `getNodeType()` A code representing the type of the underlying object, as defined above.
`String` | `getNodeValue()` The value of this node, depending on its type; see the table above.
`Document` | `getOwnerDocument()` The `Document` object associated with this node.
`Node` | `getParentNode()` The parent of this node.
`String` | `getPrefix()` The namespace prefix of this node, or `null` if it is unspecified.
`Node` | `getPreviousSibling()` The node immediately preceding this node.
`boolean` | `hasAttributes()` Returns whether this node (if it is an element) has any attributes.
`boolean` | `hasChildNodes()` This is a convenience method to allow easy determination of whether a node has any children.
`protected void` | `incChangeCount()` Increment the change count so that NodeList implementations can know when things change Note that only structural changes need to inc the change count
`Node` | `insertBefore(Node newChild, Node refChild)` Inserts the node `newChild` before the existing child node `refChild`.
`protected boolean` | `isChildAllowed(Node checkChild)` Return if the passed node is allowed to be a child of this node
`boolean` | `isReadOnly()` Return whether this node is read only or not
`boolean` | `isSupported(String feature, String version)` Tests whether the DOM implementation implements a specific feature and that feature is supported by this node.
`void` | `normalize()` Puts all `Text` nodes in the full depth of the sub-tree underneath this `Node`, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates `Text` nodes, i.e., there are neither adjacent `Text` nodes nor empty `Text` nodes.
`protected void` | `purgeCachedExpandedNames()` purge cached expandedNames
`Node` | `removeChild(Node oldChild)` Removes the child node indicated by `oldChild` from the list of children, and returns it.
`Node` | `replaceChild(Node newChild, Node oldChild)` Replaces the child node `oldChild` with `newChild` in the list of children, and returns the `oldChild` node.
`void` | `setBaseURI(String baseURI)` Set the base URI for this node.
`void` | `setColumnNumber(int column)` Set the column number of this node from the serialized source XML (e.g., as reported by a SAX Parser)
`void` | `setDeepReadOnly(boolean readonly)` Set this node to be read only.
`void` | `setDocumentOrder(double documentOrderVal)` Set the relative document order value for this node.
`void` | `setLineNumber(int line)` Set the line number of this node from the serialized source XML (e.g., as reported by a SAX Parser)
`void` | `setNodeValue(String nodeValue)`
`protected void` | `setOwnerDocument(DocumentImpl owner)` set the owner document
`void` | `setPrefix(String prefix)`
`void` | `setReadOnly(boolean readonly)` Set this node to be read only.
`void` | `setXPathBehavior(boolean xpathBehavior)` Cause this node to override DOM level-1 defined behavior with xpath-defined behavior (e.g., AttrImpl.getParentNode() returns the owning element in xpath)
`String` | `toString()` Overload Object.toString() to make debugging easier

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`compareDocumentPosition, getFeature, getTextContent, getUserData, isDefaultNamespace, isEqualNode, isSameNode, lookupNamespaceURI, lookupPrefix, setTextContent, setUserData`

Field Detail

### nodeName

    protected String nodeName

### nodeValue

    protected String nodeValue

### changeCount

    protected int changeCount

### document

    protected DocumentImpl document

### parentNode

    protected NodeImpl parentNode

### firstChild

    protected NodeImpl firstChild

### lastChild

    protected NodeImpl lastChild

### nextSibling

    protected NodeImpl nextSibling

### previousSibling

    protected NodeImpl previousSibling

### namespaceURI

    protected String namespaceURI

### localName

    protected String localName

### prefix

    protected String prefix

### expandedName

    protected ExpandedQName expandedName

  The expanded (namespace uri + local part) name of this node

### documentOrderVal

    protected double documentOrderVal

  Relative document order. This is a double so that in the future, we can try and maintain it as the tree is modified. By default (before it is actually in the document) this order value starts as a very large number that is ordered according to the order in which the node was created

### nextOrderVal

    protected static double nextOrderVal

  Relative document order. NOTE: this is not currently maintained as the tree is changed programatically. This is a double so that in the future, we can try and maintain it as the tree is modified.

### xpathBehavior

    protected boolean xpathBehavior

  If `true` then override standard DOM behavior with xpath-defined behavior (e.g., attribute nodes return their owning element from getParentNode())

### baseURI

    protected String baseURI

  The base URI for this node. Typically, this will only be non-`null` if it differs from the base URI of its ancestors.

### allowedChildren

    protected static int[] allowedChildren

  An array with each element being a bit mask that determines what types of nodes may be children of a node type. The size is NOTATION_NODE + 1.

### xmlPrefix

    protected static final String xmlPrefix

See Also:
  Constant Field Values

### xmlnsPrefix

    protected static final String xmlnsPrefix

See Also:
  Constant Field Values

### toStringSerializes

    public static boolean toStringSerializes

Constructor Detail

### NodeImpl

    protected NodeImpl(DocumentImpl owner,
                       String name,
                       String value)

  Construct a NodeImpl

### NodeImpl

    protected NodeImpl(DocumentImpl owner,
                       String namespaceURI,
                       String qualifiedName,
                       String value)

  Construct a NodeImpl

Method Detail

### getNodeName

    public String getNodeName()

  The name of this node, depending on its type; see the table above.

  Specified by:
    `getNodeName` in interface `Node`

### getNodeValue

    public String getNodeValue()
                        throws DOMException

  The value of this node, depending on its type; see the table above.

  Specified by:
    `getNodeValue` in interface `Node`
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.
    `DOMException` - DOMSTRING_SIZE_ERR: Raised when it would return more characters than fit in a `DOMString` variable on the implementation platform.

### setNodeValue

    public void setNodeValue(String nodeValue)
                      throws DOMException

  Specified by:
    `setNodeValue` in interface `Node`
  Throws:
    `DOMException`

### getNodeType

    public abstract short getNodeType()

  A code representing the type of the underlying object, as defined above.

  Specified by:
    `getNodeType` in interface `Node`

### getParentNode

    public Node getParentNode()

  The parent of this node. All nodes, except `Document`, `DocumentFragment`, and `Attr` may have a parent. However, if a node has just been created and not yet added to the tree, or if it has been removed from the tree, this is `null`.

  Specified by:
    `getParentNode` in interface `Node`

### getChildNodes

    public NodeList getChildNodes()

  A `NodeList` that contains all children of this node. If there are no children, this is a `NodeList` containing no nodes. The content of the returned `NodeList` is "live" in the sense that, for instance, changes to the children of the node object that it was created from are immediately reflected in the nodes returned by the `NodeList` accessors; it is not a static snapshot of the content of the node. This is true for every `NodeList`, including the ones returned by the `getElementsByTagName` method.

  Specified by:
    `getChildNodes` in interface `Node`

### getFirstChild

    public Node getFirstChild()

  The first child of this node. If there is no such node, this returns `null`.

  Specified by:
    `getFirstChild` in interface `Node`

### getLastChild

    public Node getLastChild()

  The last child of this node. If there is no such node, this returns `null`.

  Specified by:
    `getLastChild` in interface `Node`

### getPreviousSibling

    public Node getPreviousSibling()

  The node immediately preceding this node. If there is no such node, this returns `null`.

  Specified by:
    `getPreviousSibling` in interface `Node`

### getNextSibling

    public Node getNextSibling()

  The node immediately following this node. If there is no such node, this returns `null`.

  Specified by:
    `getNextSibling` in interface `Node`

### getAttributes

    public NamedNodeMap getAttributes()

  A `NamedNodeMap` containing the attributes of this node (if it is an `Element`) or `null` otherwise.

  Specified by:
    `getAttributes` in interface `Node`

### getOwnerDocument

    public Document getOwnerDocument()

  The `Document` object associated with this node. This is also the `Document` object used to create new nodes. When this node is a `Document` this is `null`.

  Specified by:
    `getOwnerDocument` in interface `Node`

### insertBefore

    public Node insertBefore(Node newChild,
                             Node refChild)
                      throws DOMException

  Inserts the node `newChild` before the existing child node `refChild`. If `refChild` is `null`, insert `newChild` at the end of the list of children.
  If `newChild` is a `DocumentFragment` object, all of its children are inserted, in the same order, before `refChild`. If the `newChild` is already in the tree, it is first removed.

  Specified by:
    `insertBefore` in interface `Node`
  Parameters:
    `newChild` - The node to insert.
    `refChild` - The reference node, i.e., the node before which the new node must be inserted.
  Returns:
    The node being inserted.
  Throws:
    `DOMException` - HIERARCHY_REQUEST_ERR: Raised if this node is of a type that does not allow children of the type of the `newChild` node, or if the node to insert is one of this node's ancestors.
    WRONG_DOCUMENT_ERR: Raised if `newChild` was created from a different document than the one that created this node.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
    NOT_FOUND_ERR: Raised if `refChild` is not a child of this node.

### replaceChild

    public Node replaceChild(Node newChild,
                             Node oldChild)
                      throws DOMException

  Replaces the child node `oldChild` with `newChild` in the list of children, and returns the `oldChild` node. If the `newChild` is already in the tree, it is first removed.

  Specified by:
    `replaceChild` in interface `Node`
  Parameters:
    `newChild` - The new node to put in the child list.
    `oldChild` - The node being replaced in the list.
  Returns:
    The node replaced.
  Throws:
    `DOMException` - HIERARCHY_REQUEST_ERR: Raised if this node is of a type that does not allow children of the type of the `newChild` node, or it the node to put in is one of this node's ancestors.
    WRONG_DOCUMENT_ERR: Raised if `newChild` was created from a different document than the one that created this node.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
    NOT_FOUND_ERR: Raised if `oldChild` is not a child of this node.

### removeChild

    public Node removeChild(Node oldChild)
                     throws DOMException

  Removes the child node indicated by `oldChild` from the list of children, and returns it.

  Specified by:
    `removeChild` in interface `Node`
  Parameters:
    `oldChild` - The node being removed.
  Returns:
    The node removed.
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
    NOT_FOUND_ERR: Raised if `oldChild` is not a child of this node.

### appendChild

    public Node appendChild(Node newChild)
                     throws DOMException

  Adds the node `newChild` to the end of the list of children of this node. If the `newChild` is already in the tree, it is first removed.

  Specified by:
    `appendChild` in interface `Node`
  Parameters:
    `newChild` - The node to add.If it is a `DocumentFragment` object, the entire contents of the document fragment are moved into the child list of this node
  Returns:
    The node added.
  Throws:
    `DOMException` - HIERARCHY_REQUEST_ERR: Raised if this node is of a type that does not allow children of the type of the `newChild` node, or if the node to append is one of this node's ancestors.
    WRONG_DOCUMENT_ERR: Raised if `newChild` was created from a different document than the one that created this node.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

### hasChildNodes

    public boolean hasChildNodes()

  This is a convenience method to allow easy determination of whether a node has any children.

  Specified by:
    `hasChildNodes` in interface `Node`
  Returns:
    `true` if the node has any children, `false` if the node has no children.

### cloneNode

    public Node cloneNode(boolean deep)

  Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent ( `parentNode` returns `null`.).
  Cloning an `Element` copies all attributes and their values, including those generated by the XML processor to represent defaulted attributes, but this method does not copy any text it contains unless it is a deep clone, since the text is contained in a child `Text` node. Cloning any other type of node simply returns a copy of this node.

  Specified by:
    `cloneNode` in interface `Node`
  Parameters:
    `deep` - If `true`, recursively clone the subtree under the specified node; if `false`, clone only the node itself (and its attributes, if it is an `Element`).
  Returns:
    The duplicate node.

### normalize

    public void normalize()

  Puts all `Text` nodes in the full depth of the sub-tree underneath this `Node`, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates `Text` nodes, i.e., there are neither adjacent `Text` nodes nor empty `Text` nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer lookups) that depend on a particular document tree structure are to be used.In cases where the document contains `CDATASections`, the normalize operation alone may not be sufficient, since XPointers do not differentiate between `Text` nodes and `CDATASection` nodes.

  Specified by:
    `normalize` in interface `Node`

### isSupported

    public boolean isSupported(String feature,
                               String version)

  Tests whether the DOM implementation implements a specific feature and that feature is supported by this node.

  Specified by:
    `isSupported` in interface `Node`
  Parameters:
    `feature` - The name of the feature to test. This is the same name which can be passed to the method `hasFeature` on `DOMImplementation`.
    `version` - This is the version number of the feature to test. In Level 2, version 1, this is the string "2.0". If the version is not specified, supporting any version of the feature will cause the method to return `true`.
  Returns:
    Returns `true` if the specified feature is supported on this node, `false` otherwise.
  Since:
    DOM Level 2

### getNamespaceURI

    public String getNamespaceURI()

  The namespace URI of this node, or `null` if it is unspecified.
  This is not a computed value that is the result of a namespace lookup based on an examination of the namespace declarations in scope. It is merely the namespace URI given at creation time.
  For nodes of any type other than `ELEMENT_NODE` and `ATTRIBUTE_NODE` and nodes created with a DOM Level 1 method, such as `createElement` from the `Document` interface, this is always `null`.Per the Namespaces in XML Specification an attribute does not inherit its namespace from the element it is attached to. If an attribute is not explicitly given a namespace, it simply has no namespace.

  Specified by:
    `getNamespaceURI` in interface `Node`
  Since:
    DOM Level 2

### getPrefix

    public String getPrefix()

  The namespace prefix of this node, or `null` if it is unspecified.
  Note that setting this attribute, when permitted, changes the `nodeName` attribute, which holds the qualified name, as well as the `tagName` and `name` attributes of the `Element` and `Attr` interfaces, when applicable.
  Note also that changing the prefix of an attribute that is known to have a default value, does not make a new attribute with the default value and the original prefix appear, since the `namespaceURI` and `localName` do not change.
  For nodes of any type other than `ELEMENT_NODE` and `ATTRIBUTE_NODE` and nodes created with a DOM Level 1 method, such as `createElement` from the `Document` interface, this is always `null`.

  Specified by:
    `getPrefix` in interface `Node`
  Throws:
    `DOMException` - INVALID_CHARACTER_ERR: Raised if the specified prefix contains an illegal character.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
    NAMESPACE_ERR: Raised if the specified `prefix` is malformed, if the `namespaceURI` of this node is `null`, if the specified prefix is "xml" and the `namespaceURI` of this node is different from " http://www.w3.org/XML/1998/namespace", if this node is an attribute and the specified prefix is "xmlns" and the `namespaceURI` of this node is different from " http://www.w3.org/2000/xmlns/", or if this node is an attribute and the `qualifiedName` of this node is "xmlns" .
  Since:
    DOM Level 2

### setPrefix

    public void setPrefix(String prefix)
                   throws DOMException

  Specified by:
    `setPrefix` in interface `Node`
  Throws:
    `DOMException`

### getLocalName

    public String getLocalName()

  Returns the local part of the qualified name of this node.
  For nodes of any type other than `ELEMENT_NODE` and `ATTRIBUTE_NODE` and nodes created with a DOM Level 1 method, such as `createElement` from the `Document` interface, this is always `null`.

  Specified by:
    `getLocalName` in interface `Node`
  Since:
    DOM Level 2

### hasAttributes

    public boolean hasAttributes()

  Returns whether this node (if it is an element) has any attributes.

  Specified by:
    `hasAttributes` in interface `Node`
  Returns:
    `true` if this node has any attributes, `false` otherwise.
  Since:
    DOM Level 2

### setReadOnly

    public void setReadOnly(boolean readonly)

  Set this node to be read only.

  Parameters:
    `readonly` - True if node should be read only, false otherwise

### setDeepReadOnly

    public void setDeepReadOnly(boolean readonly)

  Set this node to be read only.

  Parameters:
    `readonly` - True if node should be read only, false otherwise

### isReadOnly

    public boolean isReadOnly()

  Return whether this node is read only or not

  Returns:
    True if node is read only, or owner document is locked

### compareTo

    public int compareTo(Object o)

  Implement the Comparable interface so that this node can be compared with other com.novell.xml.dom.NodeImpl nodes for document order.

  Specified by:
    `compareTo` in interface `Comparable`
  Parameters:
    `o` - The object to compare to. This should be another NodeImpl object.
  Returns:
    a negative integer, zero, or a positive integer if this object is before, the same as, or after the passed object in document order

### getDocumentOrder

    public double getDocumentOrder()

  Return the relative document order value for this node. The document order value can be set a tree creation through setDocumentOrder(). The order is NOT currently maintained as the tree is modified programmatically.

  Returns:
    The relative document order position or this node. The returned value can be used to compare against another node in the same tree for relative document order (x < y implies x comes before y in document order)

### setDocumentOrder

    public void setDocumentOrder(double documentOrderVal)

  Set the relative document order value for this node.

  Parameters:
    `documentOrderVal` - The relative document order value for this node.
  See Also:
    `getDocumentOrder()`

### setXPathBehavior

    public void setXPathBehavior(boolean xpathBehavior)

  Cause this node to override DOM level-1 defined behavior with xpath-defined behavior (e.g., AttrImpl.getParentNode() returns the owning element in xpath)

  Parameters:
    `xpathBehavior` - `true` if this node should override DOM-level-1 behavior

### getExpandedName

    public ExpandedQName getExpandedName()

  Return the expanded name (namespace uri + local part) of this node.

  Returns:
    The ExpandedQName object encapsulating the expanded name of this node.

### setBaseURI

    public void setBaseURI(String baseURI)
                    throws DOMException

  Set the base URI for this node. Typically this should only be called if the node's base URI is different from its parent's base URI since the base URI for this node will be returned from an ancestor node if it is not set on this node. The passed URI should be fully resolved (i.e., an absolute URI rather than a relative URI)

  Parameters:
    `baseURI` - The base URI string for this node.
  Throws:
    `DOMException`
  See Also:
    `getBaseURI()`

### getBaseURI

    public String getBaseURI()

  Return the base URI string for this node. If the base URI has not been explicitly set for this node the base URI of the parent node is returned. This may return `null` if the base URI has not been set for any node in this nodes chain of ancestors.

  Specified by:
    `getBaseURI` in interface `Node`
  Returns:
    The base URI string for this node, or `null` if no base URI has been set for this node or one of its ancestors.
  See Also:
    `setBaseURI(java.lang.String)`

### setColumnNumber

    public void setColumnNumber(int column)

  Set the column number of this node from the serialized source XML (e.g., as reported by a SAX Parser)

  Parameters:
    `column` - The column number

### getColumnNumber

    public int getColumnNumber()

  Return the column number of this node. If the column number has not been set, this returns -1.

  Returns:
    The column number of this node, or -1.

### setLineNumber

    public void setLineNumber(int line)

  Set the line number of this node from the serialized source XML (e.g., as reported by a SAX Parser)

  Parameters:
    `line` - The line number

### getLineNumber

    public int getLineNumber()

  Return the line number of this node. If the line number has not been set, this returns -1.

  Returns:
    The line number of this node, or -1.

### toString

    public String toString()

  Overload Object.toString() to make debugging easier

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of the node

### fetchNamespacesFromDecls

    public boolean fetchNamespacesFromDecls(boolean deep)

  Fills in namespace information from declarations for nodes that were created with DOM Level 1 api's

  Returns:
    true if something was updated

### isChildAllowed

    protected boolean isChildAllowed(Node checkChild)

  Return if the passed node is allowed to be a child of this node

  Parameters:
    `checkChild` - The node to check.
  Returns:
    True if node can be a child of this node.

### incChangeCount

    protected void incChangeCount()

  Increment the change count so that NodeList implementations can know when things change Note that only structural changes need to inc the change count

### getChangeCount

    protected int getChangeCount()

  Return the change count for this node. This is primarily for the benefit of NodeList implementations

### gateModify

    protected void gateModify()
                       throws DOMException

  Check to see if modifications are allowed

  Throws:
    `DOMException` -
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

### checkName

    protected void checkName(String name)
                      throws DOMException

  Check an XML name for correctness This may be disabled if the document has name checking disabled

  Parameters:
    `name` - The name to check
  Throws:
    `DOMException` - INVALID_CHARACTER_ERR: Raised if the specified name contains an invalid character.

### checkNameNS

    protected void checkNameNS(String namespaceURI,
                               String qualifiedName,
                               boolean isAttr)
                        throws DOMException

  Check an XML name for correctness according to namespace recommendation and with DOM Level 2 extensions This may be disabled if the document has name checking disabled

  Parameters:
    `namespaceURI` - the namespace URI to check
    `qualifiedName` - the qualifiedName to check
    `isAttr` - isAttr flag that indicates need to check xlmns
  Throws:
    `DOMException` - INVALID_CHARACTER_ERR: Raised if qualifiedName contains an invalid character. NAMESPACE_ERR: Raised if qualifiedName/namespaceURI are not valid namespace name.

### setOwnerDocument

    protected void setOwnerDocument(DocumentImpl owner)
                             throws DOMException

  set the owner document

  Parameters:
    `owner` - new owner document
  Throws:
    `DOMException`

### purgeCachedExpandedNames

    protected void purgeCachedExpandedNames()

  purge cached expandedNames

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD